﻿using LiveCharts;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Tutorial.AdvancedPlots
{
    /// <summary>
    /// SolidColorWindow.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class SolidColorWindow : Window, INotifyPropertyChanged
    {
        private DateTime _nowDate;
        public ChartValues<double> Values { get; set; }


        public DateTime NowDate
        {
            get { return _nowDate; }
            set
            {
                _nowDate = value;
                OnPropertyChanged(nameof(NowDate));
            }
        }

        public SolidColorWindow()
        {
            InitializeComponent();
            InitInstance();
        }

        public event PropertyChangedEventHandler? PropertyChanged;

        protected virtual void InitInstance()
        {
            Values = new ChartValues<double> { 150, 375, 420, 500, 160, 140 };
            NowDate = DateTime.Now;

            Random rand = new Random();
            Task.Run(() =>
            {
                while (true)
                {
                    Thread.Sleep(1000);

                    Application.Current.Dispatcher.BeginInvoke(() =>
                    {
                        NowDate = DateTime.Now;

                        for (int i = 0; i < Values.Count; i++)
                        {
                            Values[i] = rand.Next(100, 500);
                        }
                    });
                }
            });

            DataContext = this;
        }

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

        private void btnUpdate_Click(object sender, RoutedEventArgs e)
        {
            Chart.Update(true);
        }
    }
}
