﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Tutorial.BasicPlots
{
    /// <summary>
    /// AngularGaugeWindow.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class AngularGaugeWindow : Window, INotifyPropertyChanged
    {
        private double _value;

        public event PropertyChangedEventHandler? PropertyChanged;

        public double Value
        {
            get { return _value; }
            set
            {
                _value = value;
                OnPropertyChanged(nameof(Value));
            }
        }

        public AngularGaugeWindow()
        {
            InitializeComponent();
            InitInstance();
        }

        protected virtual void InitInstance()
        {
            Value = 160;

            DataContext = this;
        }

        protected virtual void OnPropertyChanged(string propertyName = null)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        private void btnUpdate_Click(object sender, RoutedEventArgs e)
        {
            Value = new Random().Next(50, 250);
        }
    }
}
