﻿using LiveCharts;
using LiveCharts.Wpf;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Tutorial.BasicPlots
{
    /// <summary>
    /// ColumnsWindow.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class ColumnsWindow : Window
    {
        private int _startYearOffset = 10;

        public SeriesCollection SeriesCollection { get; set; }
        public string[] Labels { get; set; }
        public Func<double, string> Formatter { get; set; }

        public ColumnsWindow()
        {
            InitializeComponent();
            InitInstance();

        }

        private void InitInstance()
        {
            SeriesCollection = new SeriesCollection()
            {
                new ColumnSeries()
                {
                    Title = (DateTime.Now.Year - (_startYearOffset++)).ToString(),
                    Values = new ChartValues<double> { 10, 50, 39, 50 }
                }
            };

            Labels = new string[] { "Maria", "Susan", "Charles", "Frida" };
            Formatter = value => value.ToString("N");

            DataContext = this;
        }

        private void btnAdd_Click(object sender, RoutedEventArgs e)
        {
            Random rand = new Random();
            SeriesCollection.Add(new ColumnSeries()
            {
                Title = DateTime.Now.Year.ToString(),
                Values = new ChartValues<double> { rand.Next(0, 80), rand.Next(0, 80), rand.Next(0, 80) }
            });

            SeriesCollection[SeriesCollection.Count - 2].Values.Add((double)rand.Next(0, 100));
        }
    }
}
