﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Tutorial.BasicPlots
{
    /// <summary>
    /// GeoMapWindow.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class GeoMapWindow : Window
    {
        public Dictionary<string, string> LanguagePack { get; set; }

        public Dictionary<string, double> Values { get; set; }

        public GeoMapWindow()
        {
            InitializeComponent();
            InitInstance();
        }

        protected virtual void InitInstance()
        {
            Random rand = new Random();
            Values = new Dictionary<string, double>();

            Values["MX"] = rand.Next(0, 100);
            Values["CA"] = rand.Next(0, 100);
            Values["US"] = rand.Next(0, 100);
            Values["IN"] = rand.Next(0, 100);
            Values["CN"] = rand.Next(0, 100);
            Values["JP"] = rand.Next(0, 100);
            Values["KR"] = rand.Next(0, 100);
            Values["BR"] = rand.Next(0, 100);
            Values["DE"] = rand.Next(0, 100);
            Values["FR"] = rand.Next(0, 100);
            Values["GB"] = rand.Next(0, 100);

            LanguagePack = new Dictionary<string, string>();
            LanguagePack["KR"] = "Korean";
            LanguagePack["MX"] = "México";

            DataContext = this;
        }

        private void btnRandomize_Click(object sender, RoutedEventArgs e)
        {
            Random rand = new Random();
            foreach (var pair in Values)
            {
                Values[pair.Key] = rand.Next(0, 100);
            }
        }
    }
}
